#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2)
%define		lname		%(echo %{sname} | tr '[:upper:]' '[:lower:]')
#-----------------------------------------------------------------------------
Name		:	python3-Jinja2
Version		:	3.1.3
Release		:	17.0.10.rel%{?dist}
Summary		:	A very fast and expressive template engine
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD-3-Clause
URL		:	https://github.com/pallets/jinja

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-wheel
BuildRequires	:	python-packaging

BuildArch	:	noarch

Requires	:	python3-MarkupSafe
#-----------------------------------------------------------------------------
%description
       
Jinja is a fast, expressive, extensible templating engine. Special
placeholders in the template allow writing code similar to Python
syntax. Then the template is passed data to render the final document.

It includes:
        
        -   Template inheritance and inclusion.
        -   Define and import macros within templates.
        -   HTML templates can use autoescaping to prevent XSS from untrusted
            user input.
        -   A sandboxed environment can safely render untrusted templates.
        -   AsyncIO support for generating templates and calling async
            functions.
        -   I18N support with Babel.
        -   Templates are compiled to optimized Python code just-in-time and
            cached, or can be compiled ahead-of-time.
        -   Exceptions point to the correct line in templates to make debugging
            easier.
        -   Extensible filters, tests, functions, and even syntax.
        
Jinja's philosophy is that while application logic belongs in Python if
possible, it shouldn't make the template designer's job difficult by
restricting functionality too much.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.rst README.rst
%doc PKG-INFO README.rst
%{python3_sitelib}/%{lname}/*
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

pip3							\
	wheel						\
	-w dist						\
	--no-build-isolation				\
	--no-deps					\
	$PWD

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pip3								\
	install							\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\
	--verbose						\
	--no-deps						\
	--ignore-installed 					\
	--no-index						\
	--no-cache-dir						\
	--find-link dist					\
	%{sname}==%{version}					\


#-----------------------------------------------------------------------------
%changelog
